View Issue Details

IDProjectCategoryLast Update
0020285AI War 2[All Projects] Bug - GameplaySep 16, 2018 3:41 pm
ReporterHeartHunter7Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.769-0.770 Thinking Long-Term 
Fixed in Version0.772 Eye See You 
Summary0020285: Raptors dont attack enemy units without FRD
Description+i dont see animation of attack.
TagsNo tags attached.

Activities

HeartHunter7

Sep 14, 2018 8:00 pm

reporter  

bug12.savemet (38 bytes)
bug12.save (899,490 bytes)
20180915025859_1.jpg (432,134 bytes)

RocketAssistedPuffin

Sep 14, 2018 8:03 pm

developer   ~0049260

Been noticing this oddity but very rarely. Sometimes units just stop attacking, completely. They will kite, but not shoot.

HeartHunter7

Sep 15, 2018 11:41 am

reporter   ~0049272

Grenady launchers dont attacking too with FRD or without.

RocketAssistedPuffin

Sep 15, 2018 11:58 am

developer   ~0049274

Pike Corvettes did this as well...

x4000Bughunter

Sep 16, 2018 3:41 pm

administrator   ~0049293

Okay, fixed the main thing:

* That "handy" logic for keeping cloaked units from firing unless they're in FRD mode or have explicitly been given an order is now non-player-only. It was causing confusion with player ships that would just sit there when they seemed like they should be shooting.
** We'll be implementing the disabling of ships AIWC-style for players handling cloaking raids.
** For non-player ships, it still uses this logic because the AIs and similar know how to use it just fine.

* Fixed a few dozen ships, guard posts and raptors included, which were using a shot_speed of instant, which meant that their shots visually reached the target instantly and thus never animated at all. This was super duper confusing.

If you have a savegame with other forms of ships not shooting in the new version, please do make a new report. Thanks!

Issue History

Date Modified Username Field Change
Sep 14, 2018 8:00 pm HeartHunter7 New Issue
Sep 14, 2018 8:00 pm HeartHunter7 File Added: 20180915025859_1.jpg
Sep 14, 2018 8:00 pm HeartHunter7 File Added: bug12.save
Sep 14, 2018 8:00 pm HeartHunter7 File Added: bug12.savemet
Sep 14, 2018 8:03 pm RocketAssistedPuffin Note Added: 0049260
Sep 15, 2018 11:41 am HeartHunter7 Note Added: 0049272
Sep 15, 2018 11:58 am RocketAssistedPuffin Note Added: 0049274
Sep 16, 2018 3:41 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 16, 2018 3:41 pm x4000Bughunter Status new => resolved
Sep 16, 2018 3:41 pm x4000Bughunter Resolution open => fixed
Sep 16, 2018 3:41 pm x4000Bughunter Fixed in Version => 0.772 Eye See You
Sep 16, 2018 3:41 pm x4000Bughunter Note Added: 0049293